↔️Transactions

API's to manage Transactions.

Create Payout Request

Payouts can be created for users which will be deducted from the Tenant Distribution Wallet.

circle-info

Good to know:

  • Payouts can be processed automatically or manually via the NovaX dashboard. Contact [email protected] to configure your preferred payout process.

  • Tenant Distribution Wallets can be funded via bank transfers or crypto deposits. Contact [email protected] for more information.

Create a payout request that will credit a user's balance. All credits will be locked/pending until the funds are confirmed..

post
Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Body
thirdPartyIdstringOptional

Third party unique transaction id.

userIdstringOptional

NovaX user id.

amountnumberOptional

Amount to credit.

walletTypestringOptional

Wallet to credit. e.g. "main", "ton".

Responses
chevron-right
200

Payout request successfully created.

application/json
transactionIdstringOptional

Unique Id for the transaction.

thirdPartyIdstringOptional

Unique Id of the third party involved in the transaction.

post
/transactions/payout

Create Staking Payout Request

Staking allows users to earn rewards by holding and locking their cryptocurrencies over a period.

circle-info

Good to know:

  • Rewards are calculated based on the asset configuration.

  • For more details about staking terms and conditions, please contact [email protected].

Create a staking payout transaction.

post
Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Body
thirdPartyIdstringOptional

Third party unique transaction id.

userIdstringOptional

NovaX user id.

usdAmountnumberOptional

USD amount to stake.

assetstring Β· enumOptional

Type of staking - Supported KRU

Possible values:
Responses
chevron-right
200

Staking Payout request successfully created.

application/json
transactionIdstringOptional

Unique Id for the transaction.

thirdPartyIdstringOptional

Unique Id of the third party involved in the transaction.

post
/transactions/staking/payout

Revoke Staking Payout

Revoke a staking payout transaction.

post
Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Body
transactionIdstringOptional

Transaction Id for the staking request.

Responses
chevron-right
200

Revoked Staking Transaction Successfully.

application/json
transactionIdstringOptional

Unique Id for the transaction.

thirdPartyIdstringOptional

Unique Id of the third party involved in the transaction.

post
/transactions/staking/payout/revoke

Get User Transactions

Fetches a list of transactions for a user.

get
Query parameters
idstringOptional

The Id of the transaction to retrieve.

userIdstringRequired

The Id of the user whose transactions to retrieve.

Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Responses
chevron-right
200

OK

application/json
idstringOptional

The unique Id of the transaction.

userIdstringOptional

The Id of the user who initiated the transaction.

tenantIdstringOptional

The Id of the tenant associated with the transaction.

statusstringOptional

The current status of the transaction.

amountnumberOptional

The amount of the transaction.

get
/transactions/users

Last updated